com.tibco.n2.service.adapter.binding

## Interface DocumentService

- All Known Implementing Classes:
    DocumentService

      public interface DocumentService

  Interface to provide the `DocumentService` methods.

  This service provides interfaces to allow Documents to be manipulated

  COPYRIGHT: (C) 2014 TIBCO Software Inc. All Rights Reserved.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.bds.api.document.CreateDocumentResponseType` | `createDocument(com.tibco.bds.api.document.OwnerReference owner, java.lang.String name, com.tibco.bds.api.document.VersioningStateEnum.Enum versioningState, java.lang.String mimeType, byte[] content, boolean returnMetadata)` Gets information about the give AppName (CaseMode name) or if null then all CaseModels
    `com.tibco.bds.api.document.CreateDocumentResponseType` | `createDocument(com.tibco.bds.api.document.OwnerReference owner, java.lang.String name, com.tibco.bds.api.document.VersioningStateEnum.Enum versioningState, java.lang.String mimeType, java.lang.String contentURL, boolean returnMetadata)`
    `org.apache.xmlbeans.XmlObject` | `deleteDocument(java.lang.String reference)`
    `com.tibco.bds.api.document.DeleteOrphanedFoldersResponseType` | `deleteOrphanedFolders(java.util.Calendar orphanedDateTime, boolean returnFailures)`
    `com.tibco.bds.api.document.DocumentReferenceAndOptionalMetadata[]` | `findDocuments(com.tibco.bds.api.document.OwnerReference owner, com.tibco.bds.api.document.QueryAndDocumentType query, boolean returnMetadata)`
    `com.tibco.bds.api.document.DocumentReferenceAndOptionalMetadata[]` | `findDocuments(com.tibco.bds.api.document.OwnerReference owner, java.lang.String name, boolean returnMetadata)`
    `com.tibco.bds.api.document.GetDocumentContentResponseType` | `getDocumentContent(java.lang.String reference)`
    `com.tibco.bds.api.document.DocumentMetadata` | `getDocumentMetadata(java.lang.String reference)`
    `com.tibco.bds.api.document.RepositoryItem[]` | `getFolderContent(com.tibco.bds.api.document.OwnerReference owner, int depth, boolean returnMetadata)`
    `com.tibco.bds.api.document.RepositoryItem[]` | `getFolderContent(java.lang.String folderReference, int depth, boolean returnMetadata)`
    `com.tibco.bds.api.document.GetRepositoryInfoResponseType` | `getRepositoryInfo()`
    `org.apache.xmlbeans.XmlObject` | `linkDocument(com.tibco.bds.api.document.DocumentSpecifier documentSpecifier, com.tibco.bds.api.document.OwnerReference targetOwner)`
    `org.apache.xmlbeans.XmlObject` | `linkDocument(java.lang.String documentReference, com.tibco.bds.api.document.OwnerReference targetOwner)`
    `java.lang.String` | `moveDocument(java.lang.String documentReference, com.tibco.bds.api.document.OwnerReference sourceOwner, com.tibco.bds.api.document.OwnerReference targetOwner)`
    `org.apache.xmlbeans.XmlObject` | `unlinkDocument(java.lang.String documentReference, com.tibco.bds.api.document.OwnerReference sourceOwner)`

- - ### Method Detail

    - #### createDocument

          com.tibco.bds.api.document.CreateDocumentResponseType createDocument(com.tibco.bds.api.document.OwnerReference owner,
                                                                               java.lang.String name,
                                                                               com.tibco.bds.api.document.VersioningStateEnum.Enum versioningState,
                                                                               java.lang.String mimeType,
                                                                               byte[] content,
                                                                               boolean returnMetadata)
                                                                        throws com.tibco.bds.services.OwnerReferenceFault,
                                                                               com.tibco.bds.services.InvalidDataFault,
                                                                               com.tibco.bds.services.DocumentStoreAccessFault,
                                                                               com.tibco.bds.services.InvalidDataFault,
                                                                               com.tibco.bds.services.SecurityFault,
                                                                               com.tibco.bds.services.InternalServiceFault

      Gets information about the give AppName (CaseMode name) or if null then all CaseModels
      Parameters:
        `String` - Application Name
      Returns:
        An array of Case Model Information
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`

    - #### createDocument

          com.tibco.bds.api.document.CreateDocumentResponseType createDocument(com.tibco.bds.api.document.OwnerReference owner,
                                                                               java.lang.String name,
                                                                               com.tibco.bds.api.document.VersioningStateEnum.Enum versioningState,
                                                                               java.lang.String mimeType,
                                                                               java.lang.String contentURL,
                                                                               boolean returnMetadata)
                                                                        throws com.tibco.bds.services.OwnerReferenceFault,
                                                                               com.tibco.bds.services.InvalidDataFault,
                                                                               com.tibco.bds.services.DocumentStoreAccessFault,
                                                                               com.tibco.bds.services.InvalidDataFault,
                                                                               com.tibco.bds.services.SecurityFault,
                                                                               com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### deleteDocument

          org.apache.xmlbeans.XmlObject deleteDocument(java.lang.String reference)
                                                throws com.tibco.bds.services.DocumentReferenceFault,
                                                       com.tibco.bds.services.InvalidDataFault,
                                                       com.tibco.bds.services.DocumentStoreAccessFault,
                                                       com.tibco.bds.services.SecurityFault,
                                                       com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### moveDocument

          java.lang.String moveDocument(java.lang.String documentReference,
                                        com.tibco.bds.api.document.OwnerReference sourceOwner,
                                        com.tibco.bds.api.document.OwnerReference targetOwner)
                                 throws com.tibco.bds.services.OwnerReferenceFault,
                                        com.tibco.bds.services.DocumentReferenceFault,
                                        com.tibco.bds.services.InvalidDataFault,
                                        com.tibco.bds.services.DocumentStoreAccessFault,
                                        com.tibco.bds.services.SecurityFault,
                                        com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### linkDocument

          org.apache.xmlbeans.XmlObject linkDocument(java.lang.String documentReference,
                                                     com.tibco.bds.api.document.OwnerReference targetOwner)
                                              throws com.tibco.bds.services.OwnerReferenceFault,
                                                     com.tibco.bds.services.DocumentReferenceFault,
                                                     com.tibco.bds.services.InvalidDataFault,
                                                     com.tibco.bds.services.DocumentStoreAccessFault,
                                                     com.tibco.bds.services.SecurityFault,
                                                     com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### linkDocument

          org.apache.xmlbeans.XmlObject linkDocument(com.tibco.bds.api.document.DocumentSpecifier documentSpecifier,
                                                     com.tibco.bds.api.document.OwnerReference targetOwner)
                                              throws com.tibco.bds.services.OwnerReferenceFault,
                                                     com.tibco.bds.services.DocumentReferenceFault,
                                                     com.tibco.bds.services.InvalidDataFault,
                                                     com.tibco.bds.services.DocumentStoreAccessFault,
                                                     com.tibco.bds.services.SecurityFault,
                                                     com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### unlinkDocument

          org.apache.xmlbeans.XmlObject unlinkDocument(java.lang.String documentReference,
                                                       com.tibco.bds.api.document.OwnerReference sourceOwner)
                                                throws com.tibco.bds.services.OwnerReferenceFault,
                                                       com.tibco.bds.services.DocumentReferenceFault,
                                                       com.tibco.bds.services.InvalidDataFault,
                                                       com.tibco.bds.services.DocumentStoreAccessFault,
                                                       com.tibco.bds.services.SecurityFault,
                                                       com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getDocumentMetadata

          com.tibco.bds.api.document.DocumentMetadata getDocumentMetadata(java.lang.String reference)
                                                                   throws com.tibco.bds.services.DocumentReferenceFault,
                                                                          com.tibco.bds.services.InvalidDataFault,
                                                                          com.tibco.bds.services.DocumentStoreAccessFault,
                                                                          com.tibco.bds.services.SecurityFault,
                                                                          com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getDocumentContent

          com.tibco.bds.api.document.GetDocumentContentResponseType getDocumentContent(java.lang.String reference)
                                                                                throws com.tibco.bds.services.DocumentReferenceFault,
                                                                                       com.tibco.bds.services.InvalidDataFault,
                                                                                       com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                       com.tibco.bds.services.SecurityFault,
                                                                                       com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.DocumentReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### findDocuments

          com.tibco.bds.api.document.DocumentReferenceAndOptionalMetadata[] findDocuments(com.tibco.bds.api.document.OwnerReference owner,
                                                                                          java.lang.String name,
                                                                                          boolean returnMetadata)
                                                                                   throws com.tibco.bds.services.OwnerReferenceFault,
                                                                                          com.tibco.bds.services.InvalidDataFault,
                                                                                          com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                          com.tibco.bds.services.SecurityFault,
                                                                                          com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### findDocuments

          com.tibco.bds.api.document.DocumentReferenceAndOptionalMetadata[] findDocuments(com.tibco.bds.api.document.OwnerReference owner,
                                                                                          com.tibco.bds.api.document.QueryAndDocumentType query,
                                                                                          boolean returnMetadata)
                                                                                   throws com.tibco.bds.services.OwnerReferenceFault,
                                                                                          com.tibco.bds.services.InvalidDataFault,
                                                                                          com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                          com.tibco.bds.services.SecurityFault,
                                                                                          com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getFolderContent

          com.tibco.bds.api.document.RepositoryItem[] getFolderContent(com.tibco.bds.api.document.OwnerReference owner,
                                                                       int depth,
                                                                       boolean returnMetadata)
                                                                throws com.tibco.bds.services.OwnerReferenceFault,
                                                                       com.tibco.bds.services.FolderReferenceFault,
                                                                       com.tibco.bds.services.InvalidDataFault,
                                                                       com.tibco.bds.services.DocumentStoreAccessFault,
                                                                       com.tibco.bds.services.SecurityFault,
                                                                       com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.FolderReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getFolderContent

          com.tibco.bds.api.document.RepositoryItem[] getFolderContent(java.lang.String folderReference,
                                                                       int depth,
                                                                       boolean returnMetadata)
                                                                throws com.tibco.bds.services.OwnerReferenceFault,
                                                                       com.tibco.bds.services.FolderReferenceFault,
                                                                       com.tibco.bds.services.InvalidDataFault,
                                                                       com.tibco.bds.services.DocumentStoreAccessFault,
                                                                       com.tibco.bds.services.SecurityFault,
                                                                       com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.OwnerReferenceFault`
        `com.tibco.bds.services.FolderReferenceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### deleteOrphanedFolders

          com.tibco.bds.api.document.DeleteOrphanedFoldersResponseType deleteOrphanedFolders(java.util.Calendar orphanedDateTime,
                                                                                             boolean returnFailures)
                                                                                      throws com.tibco.bds.services.InvalidDataFault,
                                                                                             com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                             com.tibco.bds.services.SecurityFault,
                                                                                             com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

    - #### getRepositoryInfo

          com.tibco.bds.api.document.GetRepositoryInfoResponseType getRepositoryInfo()
                                                                              throws com.tibco.bds.services.InvalidDataFault,
                                                                                     com.tibco.bds.services.DocumentStoreAccessFault,
                                                                                     com.tibco.bds.services.SecurityFault,
                                                                                     com.tibco.bds.services.InternalServiceFault

      Throws:
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DocumentStoreAccessFault`
        `com.tibco.bds.services.SecurityFault`
        `com.tibco.bds.services.InternalServiceFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.